Bug 359441 - booting 2.6.23.1-10 hangs with error message about relatime not being a supported option for ext3
booting 2.6.23.1-10 hangs with error message about relatime not being a suppo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-30 21:03 EDT by birger
Modified: 2008-06-16 22:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:46:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description birger 2007-10-30 21:03:53 EDT
Description of problem:
Boot halts after issuing a message about relatime not being a valid option for
ext3 file systems

Version-Release number of selected component (if applicable):
2.6.23.1-10

How reproducible:
Every time i boot the 2.6.23 kernel on my laptop

Steps to Reproduce:
I had defaults,relatime as options for / in /etc/fstab when i upgraded to 2.6.23
using yum. I have rebooted using 2.6.22 and removed the relatime option, but
booting 2.6.23 still gives the same error message.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chuck Ebbert 2007-10-30 21:10:19 EDT
You may need to rebuild the initrd after removing the option.

See https://fedoraproject.org/wiki/KernelCommonProblems
Comment 2 birger 2007-10-30 21:43:56 EDT
The problem seems to be in the initrd. The file init contains
mkrootdev -t ext3 -o defaults,relatime,ro sda5

Instead of rebuilding initrd I removed the relatime option in fstab, and then
uninstalled/reinstalled the 2.6.23 kernel. This fixed the initrd, and I am now
happily running 2.6.23.

But I guess this problem will bite more laptop users, as the new powertop
utility will ensure more of us discover the noatime/relatime options for / in
order to improve battery life. This situation needs to be handled automagically.
Comment 3 Chuck Ebbert 2007-10-31 18:25:38 EDT
The kernel understands the relatime option just fine, it is nash and/or mount
that don't understand it. In Fedora 8 relatime is the default anyway, but not in
Fedora 7.
Comment 4 birger 2007-11-01 16:15:31 EDT
Would it be a good idea to have the kernel package strip off relatime and
possibly other mount options when building the initrd until the other issues
have been resolved?

Once it remounts using info from /etc/fstab everything should be ok anyway. Not
having relatime for that short period during boot shouldn't be a problem...
Comment 5 Bug Zapper 2008-05-14 10:56:01 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 22:46:07 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.